FROM python:3.11-slim

ENV PYTHONUNBUFFERED=1

WORKDIR /app

COPY lsfx-mock-server/requirements.txt /tmp/requirements.txt

RUN pip install --no-cache-dir -r /tmp/requirements.txt

COPY lsfx-mock-server /app

EXPOSE 8000

CMD ["python", "main.py"]
